Browse Source

[github21] cql_config script added.

Tomek Mrugalski 9 years ago
parent
commit
3ee00d7432
3 changed files with 67 additions and 0 deletions
  1. 5 0
      tools/Makefile.am
  2. 52 0
      tools/cql_config
  3. 10 0
      tools/cql_config_defines.sh

+ 5 - 0
tools/Makefile.am

@@ -16,4 +16,9 @@ system_messages_SOURCES = system_messages.cc
 # For bare distcheck
 EXTRA_DIST = system_messages
 
+# Scripts for Cassandra support. Ultimately those scripts will have to be
+# incorporated in DataStax cpp-driver source tree, but until that happens,
+# let's keep them in Kea rpo
+EXTRA_DIST += cql_config cql_config_defines.sh
+
 endif

+ 52 - 0
tools/cql_config

@@ -0,0 +1,52 @@
+#!/bin/bash
+DIR=$(readlink -f $0 | xargs dirname)
+if ! [ -f ${DIR}/cql_config_defines.sh ] || ! [ -x ${DIR}/cql_config_defines.sh ]
+then
+	echo "missing path configuration file for DataStax Cassandra (cql_config_defines.h)"
+	exit 0
+fi
+source ${DIR}/cql_config_defines.sh
+
+if [ $# -ne 1 ]
+then
+	echo "run: \`$0 --help\` for more help"
+	exit 0
+fi
+if [ $1 == "--help" ]
+then
+	echo "--help"
+	echo "    print this help message"
+	echo "--cppflags"
+	echo "    get cpp compilation flags"
+	echo "--includedir"
+	echo "    get include path"
+	echo "--libdir"
+	echo "    get lib path"
+	echo "--version"
+	echo "    get version"
+	exit 0
+fi
+if [ $1 == "--cppflags" ]
+then
+	exit 0
+fi
+if [ $1 == "--includedir" ]
+then
+	echo "${CPP_DRIVER_PATH}/include/"
+	exit 0
+fi
+if [ $1 == "--libdir" ]
+then
+	echo "${CPP_DRIVER_PATH}/build/"
+	exit 0
+fi
+if [ $1 == "--version" ]
+then
+	MAJOR=`grep VERSION_MAJOR ${CPP_DRIVER_PATH}/include/cassandra.h | cut -d " " -f 3`
+	MINOR=`grep VERSION_MINOR ${CPP_DRIVER_PATH}/include/cassandra.h | cut -d " " -f 3`
+	PATCH=`grep VERSION_PATCH ${CPP_DRIVER_PATH}/include/cassandra.h | cut -d " " -f 3`
+	echo "${MAJOR}.${MINOR}.${PATCH}"
+	exit 0
+fi
+echo "wrong parameter"
+echo "run: \`$0 --help\` for more help"

+ 10 - 0
tools/cql_config_defines.sh

@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# This auxiliary script is considered temporary in nature. It will not be
+# necessary once the DataStax cpp-driver project accepts proper cql_config
+# script.
+
+# This variable should point to the directory where cpp-driver is compiled.
+# You can download cpp-driver sources from https://github.com/datastax/cpp-driver
+CPP_DRIVER_PATH="/please/specify/path/to/cpp-driver/in/cql_config_defines.sh"
+export CPP_DRIVER_PATH